<?php

/**
 * Argument handler to accept a just a specific kudo.
 */
class views_handler_argument_kudos_kudo extends views_handler_argument {
  /**
   * Override the behavior of title(). Get the name of the user.
   */
  function title() {

    $kudo = _kudos_specs($this->argument);

    if ($kudo) {
      $title = $kudo['label'];
    }

    if (empty($title)) {
      return t('No kudo');
    }

    return check_plain($title);
  }
}
